AUDIT_SETLOGINUID(3)

NAME
audit_setloginuid - Set a program's loginuid value

SYNOPSIS
#include <libaudit.h>

int audit_setloginuid(uid_t uid);

DESCRIPTION
This function sets the task attribute loginuid with the value of uid. The loginuid value may only be set by programs with the CAP_AUDIT_CONTROL capability. This normally means the root account.

The loginuid value is part of the task structure and is inheritted by child processes. It is used to track what account a user gained system access with. All system entry point programs should set this value right before changing to the uid of the user granted access so that audit events are properly attributed to the that user.

RETURN VALUE
This function returns 0 on success and non-zero otherwise.

SEE ALSO
audit_getloginuid(3), pam_loginuid(8).

AUTHOR
Steve Grubb